@import '../../variables.scss';

.navbar {
	display: flex;
	flex-direction: row;
	min-height: 48px;
	position: relative;

	//&:after {
	//	content: '';
	//	width: 100%;
	//	position: absolute;
	//	left: 0;
	//	bottom: -1px;
	//	height: 4px;
	//	background: #333;
	//	background: linear-gradient(to top, #6fb7db 0%,rgba(125,185,232,0) 100%);
	//}

	.left-menu {
		display: flex;
		align-items: center;
		flex: 1.4;

		.menu {
			margin :0;
			padding: 0;
			list-style: none;

			display: flex;
			justify-content: space-around;
			flex-direction: row;
			flex-wrap: wrap;
			flex: 0.9;

			li {
				font-size: 14px;
				text-transform: uppercase;
			}
		}
	}

	.right-menu {
		display: flex;
		align-items: center;
		flex: 0.8;

		.fast-registration-link {
			text-transform: uppercase;
			flex: 0.5;

			.lightning-icon {
				color: #81fbff;
				text-shadow: 0 0 10px #398be7, 0 0 20px #398be7, 0 0 30px #398be7, 0 0 40px #398be7, 0 0 50px #398be7, 0 0 60px #398be7;
				margin-right: 4px;
			}

			span {

			}
		}

		.social-icons {
			flex: 0.25;
			display: flex;
			flex-direction: row;
			justify-content: space-around;
			min-width: 120px;

			.icon {
				background: #656666;
				border-radius: 3px;
				width: 23px;
				height: 23px;
				justify-content: center;
				align-items: center;
				display: flex;
				color: #fff;
				font-size: 11px;

				&:hover {
					background: #ffce81;
					box-shadow: 0 0 10px #ffce81, 0 0 20px #ff230d;
					color: #793600;
				}
			}
		}

		.language-selector {
			flex: 0.3;
			align-items: center;
			justify-content: flex-end;
			display: flex;
			color: $common-text-color;

			.language-icon {

			}

			.language-dropdown {
				font-size: 14px;
				margin-left: 6px;
			}

			i {
				display: inline-block;
				margin-left: 4px;
			}
		}
	}
}